Subject: Re: [PATCH] net: rds: Replace strncpy with strscpy in connection setup

From: Jakub Kicinski <[email-masked]>
Date: Thu, 24 Apr 2025 18:36:34 -0700

On Wed, 23 Apr 2025 21:07:30 +0530 Shankari02 wrote:
> This patch replaces strncpy() with strscpy(), which is the
> preferred, safer alternative. strscpy() guarantees null-termination
> as long as the destination buffer is non-zero in size, and also
> provides a return value that can be used to detect truncation.
> 
> This change is made in accordance with the Linux kernel
> documentation which marks strncpy() as deprecated for bounded
> string copying:

You need to explain why padding is not necessary.

Please use full name in the Author / From line, like you used in the
Sign-off tag.
-- 
pw-bot: cr